Presence
Get presence
- Base URL
https://api.polymorfa.com- Required permission
presence:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Responses
200Presence info
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 5 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/<session>/presence" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"authoritative": false
}
}Get chat presence
- Base URL
https://api.polymorfa.com- Required permission
presence:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
conversationstringrequiredPublic conversation identifier or E.164 phone number.
Responses
200Chat presence
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 12 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/<session>/presence/<conversation>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"policy": "off",
"status": "unknown",
"stale": true,
"typingPolicy": "off",
"typingStatus": "unknown"
}
}Get project observation policy
- Base URL
https://api.polymorfa.com- Required permission
presence:read
Path parameters
projectIdstring (uuid)requiredIdentifier of the Polymorfa project that owns this resource.
Responses
200Project observation ceiling
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 5 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/projects/<projectId>/observation-policy" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"projectId": "00000000-0000-4000-8000-000000000000",
"presenceMode": "off",
"typingMode": "off",
"labelMode": "off",
"quickReplyMode": "off"
}
}Get session observation policy
- Base URL
https://api.polymorfa.com- Required permission
presence:read
Path parameters
sessionstringrequiredmin length1Identifier of the connected Polymorfa session.
Responses
200Effective session observation policy
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 5 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/<session>/observation-policy" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"sessionName": "string",
"projectId": "00000000-0000-4000-8000-000000000000",
"project": {
"presenceMode": "off",
"typingMode": "off",
"labelMode": "off",
"quickReplyMode": "off"
},
"override": {
"presenceMode": "inherit",
"typingMode": "inherit",
"labelMode": "inherit",
"quickReplyMode": "inherit"
},
"effective": {
"presenceMode": "off",
"typingMode": "off",
"labelMode": "off",
"quickReplyMode": "off"
}
}
}Set presence
- Base URL
https://api.polymorfa.com- Required permission
presence:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Body
presencestringrequiredSpecifies presence for this native set presence request.
Allowed valuesavailableunavailable
Responses
200Presence updated
successbooleanrequiredWhether the request succeeded.
messagestringHuman-readable message associated with this result.
Show 3 headers
202Accepted for asynchronous processing in response to `Prefer: respond-async`; the result is not included
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X POST "https://api.polymorfa.com/messaging/<session>/presence" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"presence": "available"
}'{
"success": true
}Subscribe presence
- Base URL
https://api.polymorfa.com- Required permission
presence:observe
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
conversationstringrequiredPublic conversation identifier or E.164 phone number.
Responses
200Subscribed
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 2 child fields
Show 3 headers
202Accepted for asynchronous processing in response to `Prefer: respond-async`; the result is not included
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
429Observation limit exceeded, or the session is inside the suspension window that follows
500Internal server error
curl -X POST "https://api.polymorfa.com/messaging/<session>/presence/<conversation>/subscribe" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"status": "SUBSCRIBED",
"expiresAt": "2026-09-22T12:00:00Z"
}
}